.settings,
.history {
    font-family: Open Sans;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    text-align: left;
    color: #76797B;
}

.settings {
    margin-bottom: 32px;
}

.settings .row {
    display: flex;
    line-height: 56px;
}

.settings .row .title {
    flex-grow: 1;

    font-weight: 400;
    color: #2E3031;
}

.settings .row .slider-wrapper {
    display: flex;
    align-items: center;
}

.settings .row .toggle {
    display: flex;
    align-items: center;
    margin: 0;
}

.history .empty-state-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-grow: 1;

    font-family: Open Sans;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    text-align: center;

    color: #2E3031;
}

.history .loading-state {
    display: block;
}

.history .loading-state,
.history .loading-state.inverted {
    margin-top: 16px;
}

.history .loading-state.inverted {
    display: none;
}

.inverted-content .history .loading-state {
    display: none;
}

.inverted-content .history .loading-state.inverted {
    display: block;
}

.history .empty-state-wrapper > div {
    max-width: 350px;
}

.history .empty-state-wrapper .bold {
    font-weight: 700;
}

.inverted-content .history .empty-state-wrapper {
    color: #FFFFFFEB;
}

.history .row {
    padding: 16px;
    border-radius: 8px;
    border: 1px solid #EDF0F3;
    background: #F4F7FA;

    cursor: pointer;
}

.history .row:first-child {
    margin-top: 16px;
}

.history .row .direction-wrapper {
    display: flex;
    justify-content: space-between;
}

.history .row + .row {
    margin-top: 8px;
}

.history .row .direction .chain-icon {
    max-width: 24px;
    max-height: 24px;

    border: 1px solid #DEE1E4;
    border-radius: 4px;
}

.history .row .direction .icon-wrapper {
    margin-left: 4px;
    margin-right: 4px;
}

.history .row .direction {
    display: flex;
    align-items: center;
}

.history .row {
    font-family: Open Sans;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    text-align: left;

    color: #76797B;
}

.history .row .amount-value {
    font-family: Open Sans;
    font-size: 14px;
    font-weight: 700;
    line-height: 20px;
    text-align: left;
}

.history .row .status {
    font-family: Open Sans;
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    text-align: left;
    color: #2E3031;

    margin-top: 12px;
    margin-bottom: 4px;
}

.history .row .status-icon-wrapper {
    display: flex;

    font-family: Open Sans;
    font-size: 10px;
    font-weight: 400;
    line-height: 14px;
    text-align: left;
    color: #76797B;
}

.history .row .status-icon-wrapper .status-icon {
    margin-top: 2px;
    margin-left: 8px;
}

.history .row .status-icon {
    width: 10px;
    height: 10px;
    border-radius: 5px;
}

.history .row .status-icon.success {
    background-color: #00C565;
}

.history .row .status-icon.error {
    background-color: #F05C4E;
}

.history .row .status-icon.info,
.history .row .status-icon.in-progress {
    background-color: #F6AF00;
}

.history .row .status-icon.waiting {
    background-color: #FFE665;
}